com.impinj.octane

## Enum TagPopulationEstimationMode

- java.lang.Object
- - java.lang.Enum<TagPopulationEstimationMode>
  - - com.impinj.octane.TagPopulationEstimationMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagPopulationEstimationMode>

      public enum TagPopulationEstimationMode
      extends java.lang.Enum<TagPopulationEstimationMode>

  Provides the options available for setting the Tag Population Estimation Mode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Disabled` Set to Disabled to explicitly turn off tag population estimation and rely solely on the tag population estimate provided by the user.
    `Enabled` Set to Enabled to explicitly turn on tag population estimation bypassing the user-provided tag population estimate.
    `ReaderDefault` Set to ReaderDefault to defer to the reader on whether tag population estimation is on or off.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static TagPopulationEstimationMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagPopulationEstimationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Disabled

          public static final TagPopulationEstimationMode Disabled

      Set to Disabled to explicitly turn off tag population estimation and rely solely on the tag population estimate provided by the user.

    - #### Enabled

          public static final TagPopulationEstimationMode Enabled

      Set to Enabled to explicitly turn on tag population estimation bypassing the user-provided tag population estimate.

    - #### ReaderDefault

          public static final TagPopulationEstimationMode ReaderDefault

      Set to ReaderDefault to defer to the reader on whether tag population estimation is on or off.

  - ### Method Detail

    - #### values

          public static TagPopulationEstimationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagPopulationEstimationMode c : TagPopulationEstimationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagPopulationEstimationMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns:
        the enumeration as an integer value